net.sourceforge.jnlp

## Class UpdateDesc

- java.lang.Object
- - net.sourceforge.jnlp.UpdateDesc

-     public class UpdateDesc
      extends java.lang.Object

  Represents an 'update' element in a JNLP file. This element describes when to check for updates and what actions to take if updates are available
  See Also:
    `UpdateDesc.Check`, `UpdateDesc.Policy`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `UpdateDesc.Check` Describes when/how long to check for updates.
    `static class` | `UpdateDesc.Policy` Describes what to do when the Runtime knows there is an applicatFion update before the application is launched.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateDesc(UpdateDesc.Check check, UpdateDesc.Policy policy)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UpdateDesc.Check` | `getCheck()`
    `UpdateDesc.Policy` | `getPolicy()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateDesc

          public UpdateDesc(UpdateDesc.Check check,
                            UpdateDesc.Policy policy)

  - ### Method Detail

    - #### getCheck

          public UpdateDesc.Check getCheck()

    - #### getPolicy

          public UpdateDesc.Policy getPolicy()

Submit a bug or feature